Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge: there are no ebuilds to satisfy ">sys-devel/
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
turtles
Veteran
Veteran


Joined: 31 Dec 2004
Posts: 1347

PostPosted: Sat May 21, 2005 10:17 am    Post subject: emerge: there are no ebuilds to satisfy ">sys-devel/ Reply with quote

When atempting to
Code:
$ emerge -pv world

Iget
Code:
*** Package in world file is not installed: app-admin/sudo
/
emerge: there are no ebuilds to satisfy ">sys-devel/gcc-4.3"

!!! Problem with ebuild net-www/apache-2.0.54-r4
!!! Possibly a DEPEND/*DEPEND


this is after a emerge -sync today
I have been following instructions in http://gentoo-wiki.com/HOWTO_Migrate_to_GCC_3.4
Thinking I just needed a new compiler.
created a file
Code:
package.keywords

Any one have any ideas?
I am atempting to update my PC and install apache2 mysql PHP etc..
editing
Code:
make.conf
to add use for all of the above (apache2 mysql PHP)
emerge gives me the gcc error on any comand.
Any solution, hints, ideas, links to recomend?
Been a gentoo computer user since 2002
Been a regular computer user since 2002
I have learned enough to be dangerous I guess
Cheers
Turtle
Back to top
View user's profile Send private message
Boohbah
Apprentice
Apprentice


Joined: 17 Oct 2003
Posts: 250
Location: Seattle

PostPosted: Sat May 21, 2005 10:33 am    Post subject: Reply with quote

http://gcc.gnu.org/ wrote:
Current release series: GCC 4.0.0 (released 2005-04-20)

Portage is looking for a version of gcc that doesn't yet exist? :lol:
Sounds like you have a typo in package.keywords.
_________________
Never try to explain computers to a layman. It's easier to explain sex to a virgin.
-- Robert Heinlein

(Note, however, that virgins tend to know a lot about computers.)
Back to top
View user's profile Send private message
TrueDFX
Retired Dev
Retired Dev


Joined: 02 Jun 2004
Posts: 1348

PostPosted: Sat May 21, 2005 10:39 am    Post subject: Reply with quote

Do you have a gcc older than 2.95.3-r8 installed (in addition to more up-to-date versions)? If so, try this:
Code:
for p in /var/db/pkg/sys-devel/gcc-2*/PROVIDE; do echo > $p; done
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4920
Location: Gothenburg, Sweden

PostPosted: Sat May 21, 2005 11:56 am    Post subject: Reply with quote

Moved from Portage & Programming in favour of https://forums.gentoo.org/viewtopic-t-243175.html
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum